Module gengeo :: Class Line2D

[hide private]
[frames] | no frames]

# Class Line2D

     object --+
              |
    ??.instance --+
                  |
                 Line2D

Known Subclasses:
  - LineSegment2D

A class defining a line in 2D.

Instance Methods | [hide private]

__init__(...) Constructs a line in 2D space with specified endpoints. |

__reduce__(...) helper for pickle |

__str__(...) str(x) |

Vector3

getNormal(...) Returns the normal vector to this line. |

Vector3

getOrig(...) Returns the origin point of this line. |

Vector3

intersect(...) Returns the point of intersection of this line with the specified line. |

Line2D

parallel(...) Returns a line parallel to this one, separated by the specified distance. |

Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `96`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Constructs a line in 2D space with specified endpoints. N.B. This is not an AVolume2D so cannot be used with `InsertGenerators`.

Parameters:
  - `startPoint` (Vector3) - location of starting point of the line
  - `endPoint` (Vector3) - location of end point of the line
Overrides: object.__init__

### __reduce__(...)

helper for pickle

Overrides: object.__reduce__
  (inherited documentation)

### __str__(...)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

### intersect(...)

Returns the point of intersection of this line with the specified line.

Parameters:
  - `line` (Line2D) - the intersecting line
Returns: Vector3

### parallel(...)

Returns a line parallel to this one, separated by the specified distance.

Parameters:
  - `distance` (double) - the distance to the parallel line to construct
Returns: Line2D